# Sitecore PackageManagementService On-Premise deployment guide

## Prerequisites

You need to change execution policy in PowerShell to allow you run unsigned scripts on local computer, to do it run PowerShell with administrator rights and execute this line in PowerShell console: 

```
    Set-ExecutionPolicy RemoteSigned
```

## Necessary steps for deployment

### Create IIS application instance

Before executing deployment script you need to create an IIS application instance.
You can do this either using IIS Manager or with PowerShell scripts.
See "Reference" section for additional details about PowerShell scripts for automating IIS instance creation.

### Set up HTTPS bindings

In order to access service using HTTPS you need to set up HTTPS bindings for the created IIS application instance.
In IIS navigate to the site with a name equal to the parameter passed in instanceName -> Bindings. Add new https binding, select port and SSL certificate.

### Package Management Service deliverables

#### PackageManagementServicePackage.[ver].rev-[rev].wdp.zip

This is a WDP you need to use for application deployment. It contains all files of Package Management Service application.

#### PackageManagementServicePackage.[ver].rev-[rev].onpremise-deployment-guide.zip

The archive contains all that you need for service deployment on IIS.
In the archive you can find following content: 

```
    Deployment guide
    OnPremiseDeploy.ps1 deployment script
```

### Start deployment

Then you need to open Powershell console with admin rights and navigate to folder with unpacked archive and execute next line: 

```
    .\OnPremiseDeploy.ps1 
    -instanceName  [your value] 
    -wdpPackagePath [your value] 
```

Note: `wdpPackagePath` parameter should include the filename of the WDP zip, for example `C:\deployment-package\PackageManagementServicePackage.x.y.z.rev-ddmmyy.azure-wdp.zip`

## References
* [PowerShell scripts for automating IIS application instance creation](https://docs.microsoft.com/en-us/iis/publish/using-web-deploy/powershell-scripts-for-automating-web-deploy-setup)